# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: https://docs.scrapy.org/en/latest/topics/item-pipeline.html


# useful for handling different item types with a single interface
from itemadapter import ItemAdapter
import csv
from .models import es_models
class DoubanPipeline:
    # def process_item(self, item, spider):
    #     data = []
    #     result = []
    #     with open("film.csv", "a", encoding="gb18030", newline="") as csvfile:
    #         writer = csv.writer(csvfile)
    #         for key in item:
    #             data.append(item[key])
    #         result.append(data)
    #         writer.writerows(result)

    def process_item(self, item, spider):
        comments = es_models.DoubanCommentsType()
        comments.title = item['movie_title']
        comments.url = item['movie_url']
        comments.user = item['comment_user']
        comments.date = item['comment_date']
        comments.vote = item['comment_vote']
        comments.comments = item['comment_content']
        comments.mysave()
        return item